Hello,

Yesterday 1.9.1 and 1.8.6, along with 1.8.7 and 1.9.2 received a
security update (newer patchlevel).

Last night I had both RubyInstaller 1.9.2 and 1.8.7 releases ready,
but a glitch with internet made me impossible to upload them, so end
posting them today.

I've sent announcements of these two releases, but there is no 1.9.1
or 1.8.6 releases planned.

The reason is simple: maintain 4 different versions is too much, not
to mention the confusion it raises to newcomers access our download
page and find 4 different versions to download.

Added to that, while waiting for uploads to complete, noticed latest
1.9.1 fails to compile and 1.8.6 requires GCC 3.4.5, which is not
advertised anymore on the website or by our Development Kit
instructions. RubyGems has already dropped support for 1.8.6, so
RubyGems 1.5.2 or greater will not work with it.

Because of that, I decided to move 1.9.1 to the archives category and
soon 1.8.6 will follow.

Users of 1.8.6 concerned by the security vulnerabilities have the
option to upgrade to 1.8.7. Today, compared with 2 years ago, 1.8.7
and the support in gems and projects has increased greatly.

I personally no longer have any server or application running on
1.8.6, all of them, including a Rails 1.2.6 application have been
upgraded to Ruby 1.8.7 (with some patches)

As you might know, RubyInstaller project is driven by community
effort, so anyone that wants to maintain 1.8.6 can raise their hands
and build it with our recipes.

Like Ruby-Core did (delegating Ruby 1.8.6 to EngineYard), I would
gladly provide instructions and assistance on getting environment
setup to build these installers, as long the developer is willing to
assist users in support-related issues.

Wanted to get this out so is clear that the efforts of RubyInstaller
are now concentrated on 1.8.7 stability, 1.9.2 correctness and 1.9.3
(trunk) improvements.

Thank you for your time.
--=20
Luis Lavena
AREA 17
-
Perfection in design is achieved not when there is nothing more to add,
but rather when there is nothing more to take away.
Antoine de Saint-Exup=E9ry